Bug 138639 - fscking error, inode 7.
fscking error, inode 7.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
Blocks: fedora-ppc
  Show dependency treegraph
Reported: 2004-11-10 08:34 EST by Wade Mealing
Modified: 2015-01-04 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-14 17:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2004-11-10 08:34:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Here we go, this will be interesting..

Yesterdays rawhide ( 10/11/2004), along with many rawhides for the
past few weeks.

Following the instruction listed on colins charles site ( 
http://www.bytebot.net/geekdocs/ibook/fedorappc.html ), the system was
able to be installed.

At the next fsck of the system, it comes up with an error.  This can
be forced on the first install (by jumping to a terminal before
hitting "reboot", and here are the "typed" results.

e2fsck /dev/hda2

e2fsck 1.35 (28-Feb-2004)
/ was not cleanly unmounted, check forced.
Pass 1: Checking inodes, blocks, and sizes
Inode 7 has illegal blocks(s).  Clear<y>  y

Illegal block #262156 (4294967295) in inode 7. CLEARED.
Illegal block #252177 (4294967295) in inode 7. CLEARED.
Too many illegal blocks in inode 7.
Clear inode<y>

If i clear the inode, this pattern repeats, and it seems if I continue
to answer yes, or force fsck to finish with -y, it will end up ruining
 access to files on the disk.

I have reproduced this problem on 9 different installs,  with
different disk layouts, all ext3 (now that I think about it, i should
maybe try ext2 or xfs)

I have tried a different hard drive without any luck, I dont think
this is hardware issue.

This hardware is an ibook G4 1Ghz machine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC rawhide on ppc
2. Fsck the system.
3. watch the burn

Actual Results:  fsck errors, as per above.

Expected Results:  fsck to complete, without bringing the system into
a hellish nosedive.

Additional info:

cant reproduce on x86,
no problem on warty ubuntu,
im available for testing !

I'd just love to get this fixed.
Comment 1 Colin Charles 2004-11-10 09:03:27 EST
Funny, I had this plaguing me when I performed an install using 
kernel-2.6.8-1.541.ppc.rpm. This was a bad kernel release with the
ext3 resize patch doing weird things

I installed FC3 on the Mac, clean install (i.e. removing /, /home
partitions), and so far, knocking wood, nothing bad has happened. 

I figure that the .541 kernel borked ext3 even from creation, and no
matter what rawhide I upgraded to afterward, it was just going to suck
for me
Comment 2 Colin Charles 2004-12-06 06:45:57 EST
Wade, is this still evident with FC-3? I'm on the tree that we're about to
release, and I can't quite notice this. This is 2.6.9-1.667
Comment 3 Wade Mealing 2004-12-14 17:53:21 EST
Just re-installed the "just released" public test for FC3, problem has
disappeared  This kernel is 2.6.9-1.700 from DWMW2's repository.
Comment 4 Dave Jones 2004-12-15 01:19:54 EST
this was actually a problem in e2fsprogs with online resizing, which only
manifested on ppc.  There should be an update out that fixes this.
Comment 5 Wade Mealing 2004-12-15 16:24:31 EST
Well, I guess its "closed" then ?

Note You need to log in before you can comment on or make changes to this bug.